Package com.microblink.blinkid.entities.recognizers.blinkbarcode.usdl

# Class UsdlRecognizer

java.lang.Object
com.microblink.blinkid.entities.Entity<T>
com.microblink.blinkid.entities.recognizers.Recognizer<UsdlRecognizer.Result>
com.microblink.blinkid.entities.recognizers.blinkbarcode.usdl.UsdlRecognizer

All Implemented Interfaces:
  `android.os.Parcelable`, `JsonizableEntity`

@Deprecated public final class UsdlRecognizer extends Recognizer<UsdlRecognizer.Result>
Deprecated.
Recognizer that scan 2D barcodes from United States Driver License.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `UsdlRecognizer.Result`
  Deprecated.

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<UsdlRecognizer>`
  `CREATOR`
  Deprecated.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UsdlRecognizer()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UsdlRecognizer`
  `clone()`
  Deprecated.
  Create a copy of the entity.
  `void`
  `consumeResultFrom(Entity other)`
  Deprecated.
  Consume result from other entity.
  `protected void`
  `deserializeNativeSettings(byte[] serializedSettings)`
  Deprecated.
  `boolean`
  `isEnableCompactParser()`
  Deprecated.
  Enables parsing of compact barcode encoding format.
  `boolean`
  `isNullQuietZoneAllowed()`
  Deprecated.
  Allow scanning PDF417 barcodes which don't have quiet zone surrounding it (e.g.
  `boolean`
  `isUncertainDecoding()`
  Deprecated.
  Enable decoding of non-standard PDF417 barcodes, but without guarantee that all data will be read.
  `protected byte[]`
  `serializeNativeSettings()`
  Deprecated.
  `void`
  `setEnableCompactParser(boolean enableCompactParser)`
  Deprecated.
  Enables parsing of compact barcode encoding format.
  `void`
  `setNullQuietZoneAllowed(boolean nullQuietZoneAllowed)`
  Deprecated.
  Allow scanning PDF417 barcodes which don't have quiet zone surrounding it (e.g.
  `void`
  `setUncertainDecoding(boolean uncertainDecoding)`
  Deprecated.
  Enable decoding of non-standard PDF417 barcodes, but without guarantee that all data will be read.
  `protected void`
  `terminateNative(long nativeContext)`
  Deprecated.

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer

  `getName, isExcludedFromPing, requiresAutofocus, requiresLandscapeMode, signedJsonNativeGet, toSignedJson`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity

  `describeContents, finalize, getNativeContext, getResult, nativeGetNativeResultContext, readFromParcel, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<UsdlRecognizer> CREATOR
    Deprecated.

- ## Constructor Details

  - ### UsdlRecognizer

    public UsdlRecognizer()
    Deprecated.

- ## Method Details

  - ### setUncertainDecoding

    public void setUncertainDecoding(boolean uncertainDecoding)
    Deprecated.
    Enable decoding of non-standard PDF417 barcodes, but without guarantee that all data will be read. This option should be enabled for PDF417 barcode that has missing rows (i.e. not whole barcode is printed) By default, this is set to 'true'

  - ### isUncertainDecoding

    public boolean isUncertainDecoding()
    Deprecated.
    Enable decoding of non-standard PDF417 barcodes, but without guarantee that all data will be read. This option should be enabled for PDF417 barcode that has missing rows (i.e. not whole barcode is printed) By default, this is set to 'true'

  - ### setNullQuietZoneAllowed

    public void setNullQuietZoneAllowed(boolean nullQuietZoneAllowed)
    Deprecated.
    Allow scanning PDF417 barcodes which don't have quiet zone surrounding it (e.g. text concatenated with barcode). This option can significantly increase recognition time. By default, this is set to 'true'

  - ### isNullQuietZoneAllowed

    public boolean isNullQuietZoneAllowed()
    Deprecated.
    Allow scanning PDF417 barcodes which don't have quiet zone surrounding it (e.g. text concatenated with barcode). This option can significantly increase recognition time. By default, this is set to 'true'

  - ### setEnableCompactParser

    public void setEnableCompactParser(boolean enableCompactParser)
    Deprecated.
    Enables parsing of compact barcode encoding format. By default, this is set to 'false'

  - ### isEnableCompactParser

    public boolean isEnableCompactParser()
    Deprecated.
    Enables parsing of compact barcode encoding format. By default, this is set to 'false'

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Deprecated.
    Specified by:
      `terminateNative` in class `Entity<UsdlRecognizer.Result>`

  - ### serializeNativeSettings

    @Nullable protected byte[] serializeNativeSettings()
    Deprecated.
    Specified by:
      `serializeNativeSettings` in class `Entity<UsdlRecognizer.Result>`

  - ### deserializeNativeSettings

    protected void deserializeNativeSettings(@NonNull byte[] serializedSettings)
    Deprecated.
    Specified by:
      `deserializeNativeSettings` in class `Entity<UsdlRecognizer.Result>`

  - ### clone

    public UsdlRecognizer clone()
    Deprecated.
    Description copied from class: `Entity`
    Create a copy of the entity. This is required if properties of the entity must be modified while background thread performs processing. In order to avoid race conditions, changing properties is not allowed while entity is used in background processing. However, you are able to make a copy of the entity, change properties of it and then update the `RecognizerRunnerView` or `RecognizerRunner` with the updated entity hierarchy.
    Specified by:
      `clone` in class `Recognizer<UsdlRecognizer.Result>`
    Returns:
      a copy of the entity

  - ### consumeResultFrom

    public void consumeResultFrom(@NonNull Entity other)
    Deprecated.
    Description copied from class: `Entity`
    Consume result from other entity. The result from other will be put instead current result of this entity. This method is used inside `BaseIntentTransferable.loadFromIntent(Intent)` and similar methods to replace the result content of the saved entities with results that have arrived over `Intent`
    Specified by:
      `consumeResultFrom` in class `Entity<UsdlRecognizer.Result>`
    Parameters:
      `other` - Entity from which result should be consumed.